Bug 73571 - send -annotate fails on nfs mounted file systems
send -annotate fails on nfs mounted file systems
Product: Red Hat Linux
Classification: Retired
Component: nmh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Depends On:
  Show dependency treegraph
Reported: 2002-09-06 01:58 EDT by Steve Dum
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-21 04:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Dum 2002-09-06 01:58:03 EDT
Description of Problem: Send -annotate is using fcntl(fd, F_SETLK,..)
to lock a message before annotating it.  Since the default is to disable
mandatory file locking (and in fact it seems to be the strongly recommended
setting) fcntl fails with ENOLCK (No locks available)
Version-Release number of selected component (if applicable):

How Reproducible: set your mail directory to a nfs mounted directory,
add send: -annotate to your mh_profile, and with a current message avalilable
do run repl.  after the message is sent, (say about 20 seconds later) you will
get the message 
send: unable to lock and open 172: No locks available, continuing...
(with 172 replaced by current message number)

Actual Results: while I didn't recompile the program to see which defines are
set, running strace on the repl shows:

fcntl64(0x3, 0x6, 0xbffe5c60, 0x3) = -1 ENOLCK (No locks available)
which would imply that in sbr/lock_file.c 

FLOCK_LOCKING not defined.
Seems like it should be built with the old standby DOT_LOCKING defined
which works everywhere

Note You need to log in before you can comment on or make changes to this bug.